unit ProdArhPeriod;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls;

type
  TProdArhPeriodForm = class(TForm)
    DateTimePicker1: TDateTimePicker;
    DateTimePicker2: TDateTimePicker;
    Label1: TLabel;
    Label2: TLabel;
    btOk: TButton;
    btCancel: TButton;
    procedure FormActivate(Sender: TObject);
    procedure btOkClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation
uses ProdDataMod;

{$R *.DFM}

procedure TProdArhPeriodForm.FormActivate(Sender: TObject);
begin
  DateTimePicker1.DateTime := proddm.Dbeg;
  DateTimePicker2.DateTime := proddm.Dend;
end;

procedure TProdArhPeriodForm.btOkClick(Sender: TObject);
begin
  proddm.Dbeg := DateTimePicker1.DateTime;
  proddm.Dend := DateTimePicker2.DateTime;
end;

end.
